Page MenuHomePhabricator

Set up basic email infra for w.wiki domain
Closed, ResolvedPublic

Description

We're missing emails from TLS certificate providers regarding DV-ish level validation of our w.wiki domain/host-name, because apparently we don't even have basic addresses like postmaster@, hostmaster@, etc set up for it like we do most canonical domains. We should fix this so we can receive these emails! :)

Details

Related Gerrit Patches:
operations/puppet : productionexim: add w.wiki to wikimedia_domains

Event Timeline

BBlack triaged this task as Normal priority.Feb 14 2019, 7:44 PM
BBlack created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 7:44 PM
RobH added a comment.Feb 14 2019, 7:45 PM

Copy of the email:

Hello Rob,
I am trying to finish the yearly re-validation of your domain (w.wiki) so you can order SSL certificates for it without interruption, and I need your help with just one thing:
To verify domain control and authorization, we sent an email to the administrative contacts on the domain (including those listed in the WHOIS record). This email was sent to the following email addresses:
admin@w.wiki
administrator@w.wiki
webmaster@w.wiki
hostmaster@w.wiki
postmaster@w.wiki
Find the email titled "Please validate ownership of your domain w.wiki", and click on the link to approve the certificate. If you are unable to access any of the above emails, you can update the emails in the WHOIS record in your domain name provider's account and have us resend the authorization email.
Once we verify this, we will finish validating and approve the domain.
Let me know if you have any questions,
DigiCert Support

herron moved this task from Backlog to Up Next on the Mail board.Mar 4 2019, 8:29 PM
BBlack added a subscriber: herron.

Ping @herron can we move on this? Any current blockers?

Change 539579 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] exim: add w.wiki to wikimedia_domains

https://gerrit.wikimedia.org/r/539579

Change 539579 merged by Herron:
[operations/puppet@production] exim: add w.wiki to wikimedia_domains

https://gerrit.wikimedia.org/r/539579

herron closed this task as Resolved.Sep 27 2019, 5:16 PM
herron claimed this task.

Thanks for the ping/reminder! Basic aliasing for w.wiki has been deployed and successfully tested.

Awesome, thank you!